<div class="card">
  <div class="card-header">
    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
      Notas del Huesped <strong>{{ folio }}</strong>
    </div>
    <div class="btn-actions-pane-right">
      <button class="btn btn-primary py-2 px-4 mr-1" (click)="nuevoMsj()" *ngIf="!consulta || grabarNotas">
        <i class="fa fa-plus mr-2"></i>Nuevo
      </button>
      <button class="btn py-2 px-4" [ngClass]="{'btn-success': flagInactivas, 'btn-danger': !flagInactivas }"
        (click)="flagInactivas = !flagInactivas; verNotas();">
        <span *ngIf="!flagInactivas">Ver Canceladas</span>
        <span *ngIf="flagInactivas">Ver Activas</span>
      </button>
    </div>
  </div>
  <div class="card-body">
    <kendo-grid [data]="gridData" [selectable]="true" [reorderable]="true" [resizable]="true" style="height:50vh;">
      <ng-container *ngIf="gridData.length !== 0">
        <kendo-grid-column field="tfecha" title="Fecha" width="110">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.tfecha | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="thora" title="Hora" [width]="90">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.thora | hour }}</ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="tope" title="Ope." width="80"></kendo-grid-column>
        <kendo-grid-column field="ttnota" title="T.N." width="70"></kendo-grid-column>
        <kendo-grid-column field="tnotas" title="Nota" width="210"></kendo-grid-column>
        <kendo-grid-column field="tcancel" title="Cancelación" width="120" *ngIf="flagInactivas">
          <ng-template kendoGridCellTemplate let-dataItem>
            <div class="mb-2 mr-2 badge badge-danger" *ngIf="dataItem.tcancel">
              {{ dataItem.tcancel }}
            </div>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-command-column title="Acciones" width="120" *ngIf="!consulta || grabarNotas">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-danger" [disabled]="dataItem.tcancel" (click)="cancelar(dataItem)">
              <i class="fas fa-ban mr-2"></i>Cxld
            </button>
          </ng-template>
        </kendo-grid-command-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        No hay resultados para mostrar.
      </ng-template>
    </kendo-grid>
  </div>
</div>

<kendo-dialog [width]="600" *ngIf="formMassages">
  <form (ngSubmit)="guardarNota(formNota.value)" #formNota="ngForm" ngValidateNative>
    <div class="">
      <div class="card-header">
        <i class="fas fa-sticky-note mr-2"></i>{{ title }}
      </div>
      <div class="card-body">
        <div class="row-fluid">
          <div class="form-group col">
            <label>Tipo de Nota</label>
            <kendo-combobox [data]="dataTipoNotas" [textField]="'tdesc'" [valueField]="'tnota'" name="tinota"
              [(ngModel)]="tinota" [valuePrimitive]="true" [disabled]="actualizar" class="w-100" required>
            </kendo-combobox>
          </div>
          <div class="form-check col">
            <input type="checkbox" class="mr-2" id="cbCheckIn" name="cbCheckIn" [(ngModel)]="cbCheckIn"
              [disabled]="actualizar">
            <label for="cbCheckIn">Check-In</label>
          </div>
          <div class="form-check col">
            <input type="checkbox" class="mr-2" id="cbCheckOut" name="cbCheckOut" [(ngModel)]="cbCheckOut"
              [disabled]="actualizar">
            <label for="cbCheckOut">Check-Out</label>
          </div>
          <div class="form-group col">
            <label>Nota para el huesped</label>
            <textarea appFocus [disabled]="actualizar" class="form-control" name="tnotas" rows="4" [(ngModel)]="tnotas"
              required></textarea>
          </div>
        </div>
      </div>
      <div class="d-block text-right card-footer">
        <button class="mr-2 btn btn-link btn-sm" (click)="regresar()">Cerrar</button>
        <button type="submit" class="btn-shadow-primary btn btn-primary btn-lg" [disabled]="!formNota.valid"
          *ngIf="guardar">
          <i class="fa fa-save mr-2"></i>Guardar</button>
      </div>
    </div>
  </form>
</kendo-dialog>